Swiftazu

Settlements

List collections

Cash on delivery collected against your orders.

GET/v1/settlements/collections
Bearer tokenReturns JSONSuccess 200

summary gives the totals across all your orders: collected, still to be collected, waiting for settlement, and settled.

Request

Headers

FieldTypeDescription
AuthorizationrequiredstringThe access token from Get token, as "Bearer <token>".

Query parameters

FieldTypeDescription
pageoptionalnumberThe page to return, starting at 1. Default 1.
pageSizeoptional10 | 25 | 50 | 100Rows per page. Default 25.
statusoptionalsettled | unsettledsettled: already in a settlement. unsettled: collected but not settled yet.
fromoptionalstringOn or after this time (ISO 8601, UTC).
tooptionalstringOn or before this time (ISO 8601, UTC).
Example request
curl -X GET "https://api.swiftazu.com/v1/settlements/collections?page=1&pageSize=25" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response

Example response · 200
{
  "summary": {
    "collected": "420.00",
    "awaitingCollection": "150.00",
    "awaitingSettlement": "420.00",
    "settled": "0.00",
    "nextSettlementDate": "2026-10-08T00:00:00.000Z",
    "nextSettlementAmount": "420.00"
  },
  "rows": [
    {
      "id": "5f0b8a56-2a0c-4f63-9a51-0f6c1d1b7c2e",
      "orderId": "dffcd25d-6eb3-4b90-868c-6deca160ad74",
      "orderNumber": "SWZORDYFSADMR",
      "awbNumber": "FLC0000001042",
      "amount": "420.00",
      "currency": "AED",
      "collectedAt": "2026-10-01T14:12:09.000Z",
      "settled": false,
      "settlementId": null
    }
  ],
  "total": 1,
  "page": 1,
  "pageSize": 25
}

Errors

Every call can also return the shared errors listed on the Overview page. Overview